.editor.notebook.slideover {
    @apply hidden;
    @apply top-auto mt-10;
    @apply rounded-md;
    @apply flex-col items-center;
    @apply bg-white;
    @apply transform -translate-x-full;
    @apply transition-transform duration-300 ease-in-out;
    @apply h-screen;
    @apply z-10;
    width: 18rem;
    box-shadow: 2px -3px 4px -3px rgba(117, 108, 131, 0.25), 1px -2px 4px -2px rgba(117, 108, 131, 0.06);

    &>div {
        @apply my-4;
    }

    // Notebook Icon

    .notebook {
        @apply flex flex-col items-center;
        @apply cursor-pointer;
    }

    .notebook>.notebook-icon {
        @apply mx-4;
        @apply h-12 w-12;
        @apply rounded-full;
        @apply border-2 border-brand-red;
        @apply bg-brand-white text-brand-red;
        @apply flex justify-center items-center;
    }

    .notebook>.notebook-title {
        @apply font-display;
        @apply text-brand-black;
        @apply mt-2;
    }

    // Tags

    .tags.editor {
        @apply w-full;
        @apply flex flex-col items-center;

        .tag-icon {
            @apply w-1/4;
            @apply flex justify-between items-center;
            @apply cursor-pointer;
            @apply text-brand-red;

            .title {
                @apply text-xl text-brand-black font-display;
            }

            &:hover {
                @apply text-brand-green;
            }
        }

        .choosen-tags {
            @apply mt-2;

            .tags {
                @apply mb-3;
                @apply text-xs font-sans text-brand-black;
                @apply flex flex-wrap;

                .no-tags {
                    @apply italic;
                }

                .tag {
                    @apply p-1 m-1;
                    @apply rounded;
                    @apply bg-red-100;

                    &>.icon {
                        @apply ml-1;
                    }

                }
            }
        }

        .selection {
            @apply absolute;
            @apply mx-auto mt-16;
            @apply bg-white;
            @apply z-10;
            @apply shadow-lg;
            @apply font-sans text-brand-black;
            @apply border border-gray-300;
            @apply w-auto;
            min-width: 150px;
            @apply p-2;

            .action {
                @apply flex justify-end;
                @apply cursor-pointer;
                @apply py-2;

                &:hover {
                    @apply text-brand-red;
                }
            }

            .list-of-tags {
                li {
                    @apply border-b;
                    @apply py-2 ml-1;
                    @apply cursor-pointer;

                    &:hover {
                        @apply bg-red-100 text-brand-red;
                    }
                }

                li:first-child {
                    @apply border-t;
                }

                li:last-child {
                    @apply mb-2;
                }
            }
        }
    }

    // Note List

    .note-list.editor.app {
        @apply flex justify-center;
        @apply overflow-y-auto;


        /* width */
        &::-webkit-scrollbar {
            @apply w-2;
        }

        /* Track */
        &::-webkit-scrollbar-track {
            @apply bg-red-100;
            @apply rounded;
        }

        /* Handle */
        &::-webkit-scrollbar-thumb {
            @apply bg-brand-red;
            @apply rounded;
        }

        /* Handle on hover */
        &::-webkit-scrollbar-thumb:hover {
            @apply bg-brand-green;
        }

        .list {
            @apply w-10/12;
            @apply py-4;
            @apply grid gap-2 grid-cols-1;
            @apply shadow-inner rounded-md p-2;

            .empty {
                @apply flex flex-col justify-center items-center;
                // @apply mt-;

                &>.title {
                    @apply font-display text-sm text-brand-green;
                }

                .action {
                    @apply text-brand-red;
                    @apply flex items-center;
                    @apply cursor-default;
                }
            }
        }
    }

    // Animation

    &.open {
        @apply transform translate-x-0;
    }
}

@screen lg {
    .editor.notebook.slideover {
        @apply flex;
    }
}